<?

$a = $db->sql_query ("Select * from vopros where ids = '2'");
$b = $db->sql_fetchrow ($a);
$nom = $b['number'];
$vr = $b['time'];
$answ = $b['answer'];
$amsg = rus_to_k($msg);
$tran = $b['tran'];

if ($msg=="!вопрос"||$msg=="!vopros"){
$r = $db->sql_query ("select * from vopros where ids = '2'");
$a = $db->sql_fetchrow($r);
$vp = $a ["question"];
$i = $a ["number"];
if ($i!=5){
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_tupica','0','".($time+1)."','".$vp."','$rm')");
}else{
$vp = 'Вопрос еще не задан..';
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,emo,bb,color) VALUES ('$user_tupica','0','".($time+1)."','".$vp."','$rm','0','0','0')");
}
}

if ($msg=='!ответ'||$msg=='!otvet'){
$b = $db->sql_fetchrow ($db->sql_query ("Select answer from vopros"));
$user['byeotv']++;
if ($rooms['baryga']!=0){
if ($user['posts']>=$set['cena_answ']){
$db->sql_query ("Update users set posts='".($user['posts']-$set['cena_answ'])."', byeotv='".$user['byeotv']."' where id='".$user["id"]."'");

$mes = "Правильный ответ на текущий вопрос: [b]".$b["answer"]."[/b] =)";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}else{

$mes = 'У вас недостаточно постов! Ответ стоит [b]'.$set['cena_answ'].'[/b] постов!';
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}

}else{
$mes = "Извините, но в этой комнате я не работаю...";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm,komu,privat) VALUES ('$user_prod','0','".($time+1)."','".$mes."','$rm','$user[id]','$user[id]')");

}
}
$s = substr ($msg,0,5);
if (($s == "stats")&&(strlen($msg) > 6)){
$stsus = substr ($msg,6,strlen($msg)-6);
$a = @$db->sql_query ("Select credits from users where user='".$stsus."'");
if (mysql_affected_rows() != 0){
$st = $time;
$today=date ("H:i");
$b = $db->sql_fetchrow($a);
$i = $b["credits"];
$a = @$db->sql_query ("Select user from users order by credits desc LIMIT 101");
$j = 1;
$b = $db->sql_fetchrow($a);

while (($b["user"] != $stsus)&&($j <= 100)) {$b = $db->sql_fetchrow($a); $j++;}
if ($j<=31){
if ($user["sex"]=="М") $mes = "Уёбище ".$stsus." успешно отсосало ".$i." хуев, и оно занимает в рейтинге хуесосов ".$j." место.";
else $mes = "Уёбище ".$stsus." успешно отсосало ".$i." хуев, и оно занимает в рейтинге хуесосов ".$j." место.";
}else{
if ($user["sex"]=="М") $mes = "В рейтинге этот гандон занимает место за пределами первых трех десятков хуюмников.";
else $mes  = "В рейтинге эта сука занимает место за пределами первых трех десятков хуюмников.";
}
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_tupica','0','".($time+1)."','".$mes."','$rm')");

$a = @$db->sql_query ("Select posts from users where id='".$uid."'");
$b = $db->sql_fetchrow ($a);
$p = $b["posts"];
$p++;
@$db->sql_query ("Update users set posts='".$p."', onl='".$st."', room='11' where id ='".$uid."'");
}else{
$st = $time;
$today=date ("H:i");
$mes = "Хуюмника с ником $stsus нет в базе данных!";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_tupica','0','".($time+1)."','".$mes."','$rm')");

$a = @$db->sql_query ("Select posts from users where id='".$uid."'");
$b = $db->sql_fetchrow ($a);
$p = $b["posts"];
$p++;
@$db->sql_query ("Update users set posts='".$p."', onl='".$st."', room='11' where id ='".$uid."'");
}
}
$agent = htmlentities(addslashes($soft));
if (((strpos ($agent,"M3Gate") !== false)||(strpos ($agent,"Opera") !== false)||(strpos ($agent,"emulator") !== false)||(strpos ($agent,"WinWAP") !== false)||(strpos ($agent,"Wapsilon") !== false)||(strpos ($agent,"Mozilla") !== false)||(strpos ($agent,"M3GATE") !== false))&&($rm==0)&&($set["vict"] == 0)){
if (($msg == $answ||$amsg == $tran)&&$nom!=5){
$st = $time;
$today=date ("H:i");
$mes = "Вы великолепно отсосали хуй. Но у хуесосов отвечающих с компа ответы не засчитываются.";
$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_tupica','0','".($time+1)."','".$mes."','$rm')");
}
}else{
if (($amsg == $tran)&&$nom!=5){{
$st = $time;
$victint = $set["victint"];
$st = $st + $victint;
if ($victint=="10") $interval="10 секунд";
else if ($victint=="30") $interval="30 секунд";
else if ($victint=="60") $interval="минуту";
else $interval="2 минуты";
$db->sql_query ("Update vopros set number = '5', time = '".$st."', answer = ' ', tran = ' ' WHERE ids ='2'");

cred_add();

$mes = rand(1,2);
$mes = preg_replace("#1#i","Заебись, ".$user['user']."! Ты хуйнул в тему, баклан! ".$user['user']." виртуозно отсосал ".$user["credits"]." хуёв! Следующий вопрос, когда я вас всех выебу.",$mes);
$mes = preg_replace("#2#i","Ну ты ".$user['user']." и ботаник. Что типа умный? Дай другим ответить гандон. Следующий вопрос через ".$interval.".",$mes);

$db->sql_query ("INSERT INTO message (user,user_id,time,msg,rm) VALUES ('$user_tupica','0','".$time."','".$mes."','$rm')");
}

}
}
?>